<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Open Method (IEdmRawReferenceMgr)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRawReferenceMgr Interface : Open Method (IEdmRawReferenceMgr)

Visual Basic
C#
C++/CLI

bsPath
  Path to the file to open

Opens a file.

# Syntax

Visual Basic |
--- | ---

    Function Open( _
       ByVal bsPath As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool Open(
       System.string bsPath
    )

C++/CLI |
--- | ---

    System.bool Open(
    &   System.String^ bsPath
    )

#### Parameters

bsPath
  Path to the file to open

#### Return Value

True if the file's format supports file references, false if not

# Example

See the IEdmRawReferenceMgr examples.

# Remarks

You must call this method before you call any of the other methods in this interface.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The file's format does not support file references.

# See Also

####

IEdmRawReferenceMgr Interface
IEdmRawReferenceMgr Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional